Main Page Widgets Namespaces Book

# Gtk::InputDialog Class Reference

Inheritance diagram for Gtk::InputDialog:

[legend]
List of all members.

## Public Member Functions
const ScrolledWindow* | get_axis_box () const
ScrolledWindow* | get_axis_box ()
const Table* | get_axis_list () const
Table* | get_axis_list ()
const Button* | get_close_button () const
Button* | get_close_button ()
Glib::RefPtr<const Gdk::Device> | get_current_device () const
Glib::RefPtr<Gdk::Device> | get_current_device ()
const ScrolledWindow* | get_keys_box () const
ScrolledWindow* | get_keys_box ()
const Table* | get_keys_list () const
Table* | get_keys_list ()
const OptionMenu* | get_mode_optionmenu () const
OptionMenu* | get_mode_optionmenu ()
const Button* | get_save_button () const
Button* | get_save_button ()
const GtkInputDialog* | gobj () const
| Provides access to the underlying C GtkObject.
GtkInputDialog* | gobj ()
| Provides access to the underlying C GtkObject.
| InputDialog ()
Glib::SignalProxy1< void, const Glib::RefPtr<Gdk::Device >&> | signal_disable_device ()
Glib::SignalProxy1< void, const Glib::RefPtr<Gdk::Device >&> | signal_enable_device ()
virtual | ~InputDialog ()
## Protected Member Functions
virtual void | on_disable_device (const Glib::RefPtr<Gdk::Device>& device)
virtual void | on_enable_device (const Glib::RefPtr<Gdk::Device>& device)
## Related Functions
(Note that these are not member functions.)
Gtk::InputDialog* | wrap (GtkInputDialog* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::InputDialog::~InputDialog | ( |  | ) | `[virtual]`

Gtk::InputDialog::InputDialog | ( |  | ) |

## Member Function Documentation

const ScrolledWindow* Gtk::InputDialog::get_axis_box | ( |  | ) | const

ScrolledWindow* Gtk::InputDialog::get_axis_box | ( |  | ) |

const Table* Gtk::InputDialog::get_axis_list | ( |  | ) | const

Table* Gtk::InputDialog::get_axis_list | ( |  | ) |

const Button* Gtk::InputDialog::get_close_button | ( |  | ) | const

Button* Gtk::InputDialog::get_close_button | ( |  | ) |

Glib::RefPtr<const Gdk::Device> Gtk::InputDialog::get_current_device | ( |  | ) | const

Glib::RefPtr<Gdk::Device> Gtk::InputDialog::get_current_device | ( |  | ) |

const ScrolledWindow* Gtk::InputDialog::get_keys_box | ( |  | ) | const

ScrolledWindow* Gtk::InputDialog::get_keys_box | ( |  | ) |

const Table* Gtk::InputDialog::get_keys_list | ( |  | ) | const

Table* Gtk::InputDialog::get_keys_list | ( |  | ) |

const OptionMenu* Gtk::InputDialog::get_mode_optionmenu | ( |  | ) | const

OptionMenu* Gtk::InputDialog::get_mode_optionmenu | ( |  | ) |

const Button* Gtk::InputDialog::get_save_button | ( |  | ) | const

Button* Gtk::InputDialog::get_save_button | ( |  | ) |

const GtkInputDialog* Gtk::InputDialog::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

GtkInputDialog* Gtk::InputDialog::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

virtual void Gtk::InputDialog::on_disable_device | ( | const Glib::RefPtr<Gdk::Device>& | device | ) | `[protected, virtual]`

virtual void Gtk::InputDialog::on_enable_device | ( | const Glib::RefPtr<Gdk::Device>& | device | ) | `[protected, virtual]`

Glib::SignalProxy1<void,const Glib::RefPtr<Gdk::Device>&> Gtk::InputDialog::signal_disable_device | ( |  | ) |

Glib::SignalProxy1<void,const Glib::RefPtr<Gdk::Device>&> Gtk::InputDialog::signal_enable_device | ( |  | ) |

## Friends And Related Function Documentation

Gtk::InputDialog* wrap | ( | GtkInputDialog* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- inputdialog.h